Bug 463181 (CVE-2008-0016) - CVE-2008-0016 Mozilla UTF-8 stack buffer overflow
Summary: CVE-2008-0016 Mozilla UTF-8 stack buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-0016
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
Depends On:
Blocks: 460512 460513 460518 460519 460520
TreeView+ depends on / blocked
 
Reported: 2008-09-22 15:02 UTC by Josh Bressers
Modified: 2019-09-29 12:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-23 15:41:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0882 normal SHIPPED_LIVE Critical: seamonkey security update 2008-09-24 02:04:56 UTC
Red Hat Product Errata RHSA-2008:0908 normal SHIPPED_LIVE Moderate: thunderbird security update 2008-10-01 15:35:17 UTC

Comment 2 Josh Bressers 2008-09-23 17:33:34 UTC
From MFSA 2008-37:
Justin Schuh and Tom Cross of the IBM X-Force and Peter Williams of IBM
Watson Labs reported errors in Mozilla URL parsing routines. These errors
could be exploited using a specially crafted UTF-8 URL in a hyperlink which
could overflow a stack buffer and allow an attacker to execute arbitrary
code.

Comment 3 Josh Bressers 2008-09-24 00:52:32 UTC
This is now public

Comment 4 Fedora Update System 2008-11-21 10:55:26 UTC
thunderbird-2.0.0.18-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2008-11-21 11:03:06 UTC
thunderbird-2.0.0.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Vincent Danen 2010-12-23 15:41:01 UTC
This was addressed via:

Red Hat Enterprise Linux version 2.1 (RHSA-2008:0882)
Red Hat Enterprise Linux version 3 (RHSA-2008:0882)
Red Hat Enterprise Linux version 4 (RHSA-2008:0882)
Red Hat Enterprise Linux version 4 (RHSA-2008:0908)
Red Hat Enterprise Linux Desktop version 5 (RHSA-2008:0908)
RHEL Optional Productivity Applications version 5 (RHSA-2008:0908)


Note You need to log in before you can comment on or make changes to this bug.